import { Component, OnInit, ViewEncapsulation } from '@angular/core';
import {
  ColumnChooserService,
  ColumnMenuService,
  EditService,
  FilterService,
  GroupService,
  PageService,
  ReorderService,
  SortService,
  ToolbarService
} from '@syncfusion/ej2-angular-grids';
import { hierarchyOrderdata } from './data';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css'],
  providers: [
    ToolbarService,
    EditService,
    SortService,
    GroupService,
    ColumnMenuService,
    PageService,
    ReorderService,
    ColumnChooserService,
    FilterService
  ]
})
export class AppComponent implements OnInit {
  title = 'test';
  public data: Object[];
  public editSettings: Object;
  public toolbar: string[];
  public orderidrules: Object;
  public customeridrules: Object;
  public freightrules: Object;
  public editparams: Object;
  public pageSettings: Object;
  public value = 0;

  public ngOnInit(): void {
    this.data = hierarchyOrderdata;
    this.editSettings = {
      allowEditing: true,
      allowAdding: true,
      allowDeleting: true,
      mode: 'Batch'
    };
    this.toolbar = ['Print'];
    this.orderidrules = { required: true, number: true };
    this.customeridrules = { required: true };
    this.freightrules = { required: true };
    this.editparams = { params: { popupHeight: '300px' } };
    this.pageSettings = { pageCount: 5 };
  }

  before() {
    debugger;
  }
}
